LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XNodeList Interface Reference

`import"XNodeList.idl";`

Inheritance diagram for XNodeList:

## Public Member Functions
long | getLength ()
| The number of nodes in the list. More...
XNode | item ([in] long index)
| Returns a node specified by index in the collection. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ getLength()

long getLength | ( |  | ) |

The number of nodes in the list.

## ◆ item()

XNode item | ( | [in] long | index | ) |

Returns a node specified by index in the collection.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/XNodeList.idl